Get Withdrawal Status
curl --request POST \
--url https://api.ondoperps.xyz/v1/get_withdrawal_status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"withdrawal_id": "w_9f8e7d6c5b4a3210",
"customer_withdrawal_id": "my-withdrawal-001"
}
'import requests
url = "https://api.ondoperps.xyz/v1/get_withdrawal_status"
payload = {
"withdrawal_id": "w_9f8e7d6c5b4a3210",
"customer_withdrawal_id": "my-withdrawal-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
withdrawal_id: 'w_9f8e7d6c5b4a3210',
customer_withdrawal_id: 'my-withdrawal-001'
})
};
fetch('https://api.ondoperps.xyz/v1/get_withdrawal_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"original_request": {
"account_id": "10458932786832481",
"customer_withdrawal_id": "my-withdrawal-001",
"symbol": "USDC",
"amount": "100.00",
"address": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF",
"network": "ethereum"
},
"withdrawal_id": "w_9f8e7d6c5b4a3210",
"txid": "0xabc123...",
"confirmation_number": 12,
"withdrawal_status": "complete"
}
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Wallet
Get Withdrawal Status
Get status of one or more withdrawals. For the withdrawal process and timing, see Withdrawals.
POST
/
v1
/
get_withdrawal_status
Get Withdrawal Status
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Withdrawal status result
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes
⌘I